﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="mainPage.aspx.vb" Inherits="mainPage" MaintainScrollPositionOnPostback="true" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        html, body, form {
            margin: 0;
            padding: 0;
            height: 100%;
            overflow: hidden;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server" />
        <%--
            AJAX requests based on this demo http://demos.telerik.com/aspnet-ajax/controls/examples/integration/gridandwindow/defaultcs.aspx?product=window
            To observe the scroll position being preserved scroll down a bit in the grid, double click/tap a row, click the button in the RadWindow so the grid refreshes
            Key points of interest:
                - all parent elements of the grid have explicit height
                - the grid's own scrolling is enabled
                - additionally, the MaintainScrollPositionOnPostback property in the Page directive can be toggled,
                    especially when working with full postbacks or when the parent of the grid scrolls instead of the grid
        --%>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="ralp1">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="rg1" LoadingPanelID="gridLoadingPanel" UpdatePanelHeight="100%"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="rg1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="rg1" LoadingPanelID="gridLoadingPanel" UpdatePanelHeight="100%"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadAjaxLoadingPanel runat="server" ID="ralp1" Skin="Black"></telerik:RadAjaxLoadingPanel>
        <telerik:RadGrid runat="server" ID="rg1" Height="100%" AllowPaging="true" PageSize="50" RenderMode="Auto">
            <MasterTableView TableLayout="Fixed"></MasterTableView>
            <ClientSettings>
                <ClientEvents OnRowDblClick="RowDblClick"></ClientEvents>
                <Scrolling SaveScrollPosition="true" AllowScroll="true" />
            </ClientSettings>
        </telerik:RadGrid>
        <telerik:RadWindowManager RenderMode="Lightweight" ID="RadWindowManager1" runat="server">
        </telerik:RadWindowManager>
        <telerik:RadCodeBlock runat="server" ID="rcb1">
            <script>
                function RowDblClick(sender, eventArgs) {
                    window.radopen("editPage.aspx", "UserListDialog");
                }

                function refreshGrid(arg) {
                    if (!arg) {
                        $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest("Rebind");
                }
                else {
                    $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest("RebindAndNavigate");
                }
            }
            </script>
        </telerik:RadCodeBlock>
    </form>
</body>
</html>
